> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/47.-vaicajums-iegut-zonu-kartes.md).

# 47. Vaicājums: iegūt "Zonu kartes"

Pieprasījums, lai iegūtu lietotāja "ZonesMaps". Lai īstenotu lapošanas (pagination) loģiku, izmantojiet vaicājuma parametru `lappušuIzmērs`. Filtrs darbojas kā UN nosacījums (AND), piemēram, iespējams filtrēt pēc `farmUuid`, `fieldUuid`, `vectorAnalysisMapUuid`, `birkas`, `mērķis`, `tips`, un `arTaksēmTikai` vienā vaicājumā vai izmantot tikai vienu filtra nosacījumu vai neizmantot nevienu nosacījumu.&#x20;

Ierobežojumi: filtrēšana pēc `mērķis`, `tips`, un `arTaksēmTikai` darbojas tikai kopā ar `fieldUuid`. Atļauts meklēt zonu kartes pēc `vectorAnalysisMapUuid` viena atribūta.&#x20;

Ir `pēdējāNovērtētāAtslēga` un `kopējaisSkaits`  atbildē. Tas `pēdējāNovērtētāAtslēga` attiecas uz pēdējo apstrādāto ierakstu, kas atbilst filtra nosacījumiem. Tas `kopējaisSkaits` - ir ierakstu kopskaits, kas atbilst filtrēšanas nosacījumiem.

## &#x20;Veidne

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums FilterZonesMapsSample {
  getZonesMaps(
    filtrs: {
      lapasIzmērs: 10
      fieldUuid: "<placeholder_of_field_uuid>"
      farmUuid: "<placeholder_of_farm_uuid>"
      mērķis: SĒJŠANA
      tips: SATELLĪTS
      etiķetes: ["id=lauks"]
      arTaksēmTikai: true
      vektoruAnalīzesKartesUuid: "<vietturis_vektoruanalizeskartes_uuid>"
    }
) {
    zonesMaps {
      uuid
      nosaukums
      zonesMapGeojson(vienība: ACRE)
      zonesMapUrl
    }
    kopējaisSkaits
    pēdējāNovērtētāAtslēga {
      SadalījumaAtslēga
      KārtošanasAtslēga
      BirkuVirkne
    }
  }
}
```

{% endcode %}

## Pieprasīt

```graphql
vaicājums FilterZonesMapsSample {
  getZonesMaps(
    filtrs: {
      lapasIzmērs: 3
      laukaUuid: "a716fd04-4f78-4ce8-b712-ffb88bd2acdd"
      mērķis: VISPĀRĪGS
    }
) {
    zonesMaps {
      uuid
      nosaukums
      zonesMapUrl
    }
    pēdējāNovērtētāAtslēga {
      SadalījumaAtslēga
      KārtošanasAtslēga
      BirkuVirkne
    }
  }
}
```

## Atbilde

### Metadati

Atbilde satur zemāk esošo JSON.&#x20;

```json
{
  "data": {
    "getZonesMaps": {
      "zonesMaps": [
        {
          "uuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
          "name": "GP_Auto_Nitrogen_Use_Efficiency_GP Value",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=yield_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee"
        },
        {
          "uuid": "ec8cd4db-efe9-40a3-b616-7169bcde9be9",
          "nosaukums": "7 gadi 2016–2023",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ec8cd4db-efe9-40a3-b616-7169bcde9be9"
        },
        {
          "uuid": "eb4ddd50-ff38-4467-b8e0-cce26be699c8",
          "nosaukums": "VR sēšana",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=multilayers_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:eb4ddd50-ff38-4467-b8e0-cce26be699c8"
        }
      ],
      "lastEvaluatedKey": {
        "PartitionKey": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd",
        "SortKey": "eb4ddd50-ff38-4467-b8e0-cce26be699c8",
        "TagString": null
      }
    }
  }
}
```

### Zonu statistika un ģeometrijas

Informācija par zonu statistiku un ģeometrijām atrodama `zonesMapUrl` .&#x20;

Piemērs statistikai no `properties` ir zemāk.

```json
"properties": {
  "mapUuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
  "zone": 1,
  "attributes": {
    "avg": 70.427,
    "max": 103.0,
    "min": 56.0,
    "std": 11.456,
    "sum": 30847.0,
    "area": 4000.0073042009,
    "index": "VALUE",
    "median": 66.0
  },
  "createdDate": "2023-10-12T22:09:26.447Z",
  "updatedDate": "2023-10-12T22:09:26.447Z",
  "minZone": 1,
  "avgZone": 3,
  "maxZone": 5,
  "sqm": 4000.01
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/47.-vaicajums-iegut-zonu-kartes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
